<bugID>330063<Summary>Live Bookmarks, can't edit feed properties/ rename feed.</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1

When adding a Live Bookmark, or after adding one, it should be possible to edit how the feed's name appears in the Bookmark menu, in Places, and on toolbars.

Reproducible: Always

Steps to Reproduce:
1.Go to http://news.yahoo.com/
2.Add Live Bookmark
3.Right-click feed, choose "Properties"

Actual Results:  
Nothing.

Expected Results:  
You should be able to edit the feed's name.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1 ID:2006011112</Description></bugID>